# Source code for azure.mgmt.iothub.models.iot_hub_quota_metric_info

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class IotHubQuotaMetricInfo(Model):
        """The properties related to quota metrics.

        :param name: The name of the quota metric.
        :type name: str
        :param current_value: The current value for the quota metric.
        :type current_value: long
        :param max_value: The maximum value of the quota metric.
        :type max_value: long
        """

        _attribute_map = {
            'name': {'key': 'Name', 'type': 'str'},
            'current_value': {'key': 'CurrentValue', 'type': 'long'},
            'max_value': {'key': 'MaxValue', 'type': 'long'},
        }

        def __init__(self, name=None, current_value=None, max_value=None):
            self.name = name
            self.current_value = current_value
            self.max_value = max_value